Subject: misc

From: [email-masked] (Mi Mi)
Date: Tue, 2 Nov 93 22:29:38 CST

Date: Tue, 2 Nov 93 19:35:53 CST
   Reply-To: [email-masked]
   Originator: [email-masked]
   Sender: [email-masked]
   Precedence: bulk
   From: [email-masked]
   X-Listprocessor-Version: 6.0a -- ListProcessor by Anastasios Kotsikonas
   X-Comment:  Late-Arrival-DependentS-List 

     One of my friends who filed at the end of July or even early
   August got her approval notice from the Northern Service Center
   in mid-October.
     Mi Mi Sir sent out a message about the illigal Chinese immigrants,
   and I have also seen the same from CND news today.  I do not
   understand the rational behind the statement that that is a good
   news for lcs.
     Several messages have referred "our sisters and brothers" and
   asked us not to hurt them.  It seems to me that those messages
   are referring to lcs.  Are the undocumented Chinese our "sisters
   and brothers"?  I donot understand why we should hurt those who
   has the potential to benefit from CSPA for no immediate reasons.
   Some also argued that fake documents made the situation worse, and
   I think INS understand this issue better than all of us.  In
   principle, I am not against all the pledges that illigal immigrants
   should be stopped.  But in practice, I agree with "jun@..." that
   systematic and selected inforcement against Chinese is emotionally
   acceptable.
   X. Zhou

I am not against illigal Chinese immigrants, but LCs are. illigal Chinese
immigrants' lads will take up EB-3 and FB-2 in China's quota, that is why
lcs are against it. 

I am pro-Chinese immigrants. CNN is discriminative towards illigal Chinese
immigrants. We should do something about it, but how?

Mi Mi Sr.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%   
% Mr. Mi Mi, Sr., Member of Lads-Net Committee                %
% Sign on/off at [email-masked], with mailbody as:   %
%    sub lads-l Firstname Lastname, or signoff lads-l         %
% Post at [email-masked]                               %
% Anonymous ftp at spike.rice.edu, in /lads/ subdirectory     %
% Sign our petition letter at [email-masked].        %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%